const getEmailCopy = ({ emailType, titleText, expectedDate, customId }) => {
  let paragraph
  switch (emailType) {
    case 'he-new-version-submitted':
      paragraph = `A new version of ${titleText} has been submitted.
        Previous reviewers have been automatically invited to review the manuscript again. Please visit the manuscript details page to see the latest version and any other actions you may need to take.`
      break
    case 'submitted-reviewers-after-revision':
      paragraph = `A new version of ${titleText} has been submitted. As you have reviewed the previous version of this manuscript, I would be grateful if you can review this revised version and submit a review report by ${expectedDate}. You can download the PDF of the revised version and submit your new review from the following URL:`
      break
    case 'eic-manuscript-submitted':
      paragraph = `A new manuscript has been submitted. You can view ${titleText} and take further actions by clicking on the following link:`
      break
    case 'eqs-manuscript-submitted':
      paragraph = `Manuscript ID ${customId} has been submitted and a package has been sent. Please click on the link below to either approve or reject the manuscript:`
      break
    default:
      throw new Error(`The ${emailType} email type is not defined.`)
  }

  return { paragraph, hasLink: true }
}

module.exports = {
  getEmailCopy,
}
